package com.sunxung.factoring.entity.refundsManagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

/**
 * <p>
 * 退款管理-收放款计划和申请内容关联关系表
 * </p>
 *
 * @author yafan
 * @since 2024-03-11
 */
@TableName("refund_management_approval_apply_details_ref")
public class RefundManagementApprovalApplyDetailsRef implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 退款管理审核表Id
     */
    @TableField("refund_management_approval_id")
    private Long refundManagementApprovalId;

    /**
     * 退款管理-申请内容表Id
     */
    @TableField("refunds_apply_details_id")
    private Long refundsApplyDetailsId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
    public Long getRefundManagementApprovalId() {
        return refundManagementApprovalId;
    }

    public void setRefundManagementApprovalId(Long refundManagementApprovalId) {
        this.refundManagementApprovalId = refundManagementApprovalId;
    }
    public Long getRefundsApplyDetailsId() {
        return refundsApplyDetailsId;
    }

    public void setRefundsApplyDetailsId(Long refundsApplyDetailsId) {
        this.refundsApplyDetailsId = refundsApplyDetailsId;
    }

    @Override
    public String toString() {
        return "RefundManagementApprovalApplyDetailsRef{" +
            "id=" + id +
            ", refundManagementApprovalId=" + refundManagementApprovalId +
            ", refundsApplyDetailsId=" + refundsApplyDetailsId +
        "}";
    }
}
